/* TrackHotList.java


 Created by Mike Ronan  Dec '98
 Modified by

 */

package hep.lcd.recon.ztracking;

public class TrackHotList
{
    public int MaxTrkPts = 250;
    TrkHitOnTrk[] list;

    public int nhits = 0;
    public int nvtx = 0;
    public int ntrk = 0;

    public TrackHotList(int nhits,int nvtx,int ntrk)
    {
	this.nhits = nhits;
	list = new TrkHitOnTrk[nhits];
	this.nvtx = nvtx;
	this.ntrk = ntrk;
    }
    public TrackHotList()
    {
	list = new TrkHitOnTrk[MaxTrkPts];
    }
    public int getNHits() { return nhits; }
    public int getNVtx()  { return nvtx; }
    public int getNTrk()  { return ntrk; }

    public void add(TrkHitOnTrk hot)
    {
	if (nhits<MaxTrkPts) {
	    list[nhits] = hot;
	    nhits++;
	} else {
	    System.err.println(ClassName+" Max. num. of hits ("+MaxTrkPts+") reached.");
	}
    }
    public void put(int i,TrkHitOnTrk hot)
    {
	if (i<nhits) {
	    list[i] = hot;
	} else {
	    System.err.println(ClassName+" List only contains "+nhits+" hits..");
	}
    }
    public TrkHitOnTrk get(int i)
    {
	if (i<nhits) {
	    return list[i];
	} else {
	    System.err.println(ClassName+" List only contains "+nhits+" hits..");
	    return null;
	}
    }

    String ClassName = "TrackHotList::";
}
