/* TPCTracker.java

		Reconstruct tracks in a TPC

 Created by  Mike Ronan  Nov '98   Pick up LCD events within JAS framework and
                                   pass 3D points to pattern recognition software.
 Modified by:

 */

package hep.lcd.recon.ztracking.tpc;

import hep.lcd.event.*;
import hep.lcd.recon.*;
import hep.lcd.recon.ztracking.*;

import hep.analysis.*;
//import hep.physics.*;

import java.util.*;

/**   Picks up LCD events within JAS framework and passes 3D points to pattern recognition software */
public class TPCTracker extends AbstractTracker
{
    static int MAXPoints=25000;


    public TPCTracker()
    {
   	this(false);
    }
    /**  Construct TPC reconstructor for given MAXPoints using TPCPat2 pattern recognition
     * and default specifications.
     */
    public TPCTracker(boolean hist)
    {
	super(MAXPoints, new TPCSpecifications(), new TPCPat2(hist), hist); // Sets defaultFolder based on Type

 	System.out.println(ClassName+"  version 1.1.8.5");
	System.out.println(" TPC Track reconstruction using TPCPat2 - ");

	SimulateMeasurementError = false;

	if (debug) {
	  System.out.println("  Max. # points = "+MaxPoints);
	  if (!SimulateMeasurementError) System.out.println("  No measurement resolution smearing.");
	}

        setupParameters();
    }

    /** Get type of track hits. */
    public String getType() { return "TPC"; }


    public void process(LCDEvent event)
    {
	if (firstEvents) { text = ClassName+" Find tracks in the TPC detector \t\t Event #"+(nEvt+1); System.out.println(text); }

	this.getSpecifications().update(event);
	if(this.getSpecifications().areNew()) setupParameters();

	super.process(event);
    }


    String ClassName = "TPCTracker::";

}
